
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="../bower_components/iron-icon/iron-icon.html">
<link rel="import" href="../bower_components/iron-icons/iron-icons.html">

<link rel="import" href="../bower_components/iron-collapse/iron-collapse.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">

<link rel="import" href="../bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&coordorder=longlat&csp=true" type="text/javascript"></script>

<dom-module id="food-test">
    
    <template>
    <style is="custom-style" include="iron-flex iron-flex-alignment iron-flex-factors iron-flex-reverse"></style>
            
    <style>
        
       :host {
       
           display: block;
       }
       
       #wrap
       {
            position: relative;
            width: 100%;
            height: 400px;

            overflow: hidden;
       }

       #map{
            width: 100%; 
            height: 100%; 
            padding: 0; 
            margin: 0;
       }

       iron-icon
       {
           margin: 0 16px;
       }
             
    </style>

    TEST
        <paper-button on-tap="toggle">
            <iron-icon icon="icons:shopping-basket"></iron-icon>
            Карта доставки по районам
            <iron-icon icon="[[_icon_collapse(opened)]]"></iron-icon>
        </paper-button>        
        <iron-collapse id="collapse" opened={{opened}}>
            <div id="wrap">
                <div id="map"></div>                           
            </div>
        </iron-collapse>
         
  </template>

  <script>

    class FoodTest extends Polymer.Element {

      static get is() { return 'food-test'; }
      
        static get properties() {
            return {
                
                opened: {
                    type: Boolean,
                    value: false                       
                }
            };
        }
        toggle() {
          this.$.collapse.toggle();
        }
        _icon_collapse(opened)
        {
            return opened?"icons:expand-more":"icons:expand-less"
        }

        connectedCallback() {
            super.connectedCallback();
            Tracker.autorun(() => {
              this.user = Meteor.user();
            });
            Polymer.RenderStatus.afterNextRender(this,()=>{
                this.testMap()   
            })
        
        }

       

        testMap()
        {
            ymaps.ready(()=> {  

                this.map = new ymaps.Map(this.$.map, {
                    center: [ 37.61252085829458, 55.75489190530658],
                    // center: [30.264981955459618, 59.9567962610097],
                    zoom: 11,         
                    controls: ['geolocationControl','zoomControl']
                }, 
                {
                    searchControlProvider: 'yandex#search'
                });
               
                var geoJSON =  {"type":"FeatureCollection","metadata":{"name":"Доставка","creator":"Yandex Map Constructor"},"features":[{"type":"Feature","id":0,"geometry":{"type":"Polygon","coordinates":[[[37.518107100970404,55.711498635890464],[37.57235209608758,55.68939595694799],[37.620417281634445,55.70219377473459],[37.61629740858758,55.729326733911115],[37.571665450579765,55.746372050377786],[37.518107100970404,55.711498635890464]]]},"properties":{"fill":"#ed4543","fill-opacity":0.6,"stroke":"#ed4543","stroke-width":"5","stroke-opacity":0.9}}]}
         
                var deliveryZones = ymaps.geoQuery(geoJSON).addToMap(this.map)
                // Задаём цвет и контент балунов полигонов.
                deliveryZones.each(function (obj) {
                    var color = obj.options.get('fillColor');
                        color = color.substring(0, color.length - 2);
                    obj.options.set({fillColor: color, fillOpacity: 0.4});

                });

                this.map.geoObjects.events.add('click', (e)=> {

                  // console.log("#location geoObjects",e.get('coords'));
 
                })

                this.map.events.add('click', (e)=> {

                });         
            });

       
        }
    }

    customElements.define(FoodTest.is, FoodTest);

  </script>

</dom-module>
